
/* alias.c              */

Prototype void ReadAliasList(void);
Prototype void FreeAliasList(struct AliasItem **);
Prototype char *GetAlias(struct AliasItem *, char *);
Prototype void PutAlias(struct AliasItem **, char *, char *);
Prototype struct AliasItem *AdrsToAList(char *);
Prototype char *delete_wspaces_begin(char *);
Prototype char *delete_wspaces_end(char *);

/* f1.c                 */

Prototype void sendmail(char *, char *);
Prototype void readmail(int, int);
Prototype void replymail(int,BOOL,BOOL);
Prototype void forwardmail(int,int);
Prototype void bouncemail(int,int);
Prototype BOOL writemail(char *,int,int);
Prototype void pipemail(int);
Prototype void editfile(char *);

/* f2.c                 */

Prototype void NewDisplayDirectory(int,int,int,int,int);
Prototype void SaveFolder(BOOL,long,long);
Prototype void get_folder_data(long *,long *);
Prototype BOOL folder_changed(long,long);
Prototype struct MailItem *i_th(int);

/* f3.c                 */

Prototype void CreateHeader(FILE*,char*,char*);
Prototype BOOL SetFolderName(char *);
Prototype FILE *OpenHomeBox(void);
Prototype void CloseHomeBox(FILE *);
Prototype char *plural_s(int);
Prototype int plural_pix(int);
Prototype int send_off(char *,char *);
Prototype void append_sig(FILE *);
Prototype void append_elmheader(FILE *);
Prototype void set_options(void);
Prototype void outline(void);
Prototype void OpenTTY(void);
Prototype void Usage(void);
Prototype void DirectSend(char *,char *);
Prototype void copy_and_do_alias(FILE *,FILE *);
Prototype void copy_and_do_from(FILE *,FILE *);
Prototype void str_replace(char *,char *,char *);
Prototype void do_introduction(FILE *,char *,struct MailItem *);
Prototype void clean_exit(int);
Prototype void status_msg(char *, long);
Prototype char *parse_arpa_from(char *);
Prototype char lastch(char *);

/* getline.c            */

Prototype BOOL getline(FILE *,char *,long *);
Prototype void removeCR(char *);
Prototype long read_home_box(void);
Prototype BOOL get_config_entries(void);
Prototype char *firstnwsp(char *);

/* lockfile.c           */

Prototype void LockFile(char *);
Prototype void UnLockFile(char *);
Prototype void UnLockFiles(void);
Prototype BOOL FileIsLocked(char *);

/* mailer.c             */


/* rtsup.c              */

Prototype void OpenReqToolsLib(void);
Prototype void CloseReqToolsLib(void);
Prototype BOOL IsReqToolsOpen(void);
Prototype BOOL GetRTString(char *,long,char *);
Prototype BOOL GetRTFRQ(char *,char *,char *);
Prototype void AboutElmWindow(void);
Prototype void RTPalette(void);

/* winio.c              */

Prototype void close_intuition(void);
Prototype BOOL IsAslOpen(void);
Prototype BOOL GetAslFRQ(char *,char *,char *);
Prototype BOOL open_intuition(void);
Prototype BOOL intui_interface(void);
Prototype void SetScreenTitle(char *);
Prototype char getch(void);
Prototype long getst(char *,long);
Prototype void flush_input(void);
Prototype void putch(char);
Prototype void putst(char *);
Prototype void putst_center(char *);
Prototype void putst_center_bold(char *);
Prototype void putstl(char *,long);
Prototype void ElmToFront(void);
Prototype void WorkbenchToFront(void);
Prototype void SetStdFont(void);
Prototype void SetPagerFont(void);
Prototype void open_shell(void);
